clear

cd "C:\Users\thoma\Dropbox\Research\Functional Bounds\Code\Clean"

use STAR_Students

//Keep only students participating in STAR Experiment in Kindergarten 
keep if FLAGSGK==1

//Keep only selected variables
keep stdntid gender race yearssmall gkclasssize gkfreelunch ///
g1classsize g2classsize g3classsize hssattot hsactcomp hsacttot hsgrdadd ///
g8tmathss g8treadss g3treadss g3tmathss gkclasstype ///
 g1classtype g2classtype g3classtype

//Keep only if grade 3 and grade 8 test scores are not missing 
keep if g3treadss~= .
keep if g8treadss~= .
keep if g3tmathss~= .
keep if g8tmathss~= .
 
/* Reading Score */

sort g3treadss
gen pread = 100*_n/_N
egen pread3 = mean(pread), by(g3treadss)	/* percentile score, reading gr. 3*/

sort g8treadss
replace pread = 100*_n/_N 
egen pread8 = mean(pread), by(g8treadss)	/* percentile score, reading gr. 8*/

/* Math score */

sort g3tmathss
gen pmath = 100*_n/_N
egen pmath3 = mean(pmath), by(g3tmathss)	/* percentile score, math gr. 3*/

sort g8tmathss
replace pmath = 100*_n/_N 
egen pmath8 = mean(pmath), by(g8tmathss)	/* percentile score, math gr. 8*/


//Average percentile rank between reading and math scores
egen Y1 = rowmean(pread3 pmath3) //grade 3 average percentile rank
egen Y2 = rowmean(pread8 pmath8) //grade 8 average percentile rank

//Assigned to small class in kindergarten
gen Z=(gkclasstype==1)

//Generate dummies for whether actual class size was "small" (<=17) from K-3
gen c1=(gkclasssize<=17)
gen c2=(g1classsize<=17)
gen c3=(g2classsize<=17)
gen c4=(g3classsize<=17)

gen c=c1+c2+c3+c4 //Students in a small class exactly "c" times from K-3

gen D1=(c>0)
gen D2=(c>1)
gen D3=(c>2)
gen D4=(c>3)

gen poor=(gkfreelunch==1) //Dummy variable for if student received free lunch

outsheet Y1 Y2 Z D1 D2 D3 D4 poor using star, comma replace


